Bug 181862 - [PATCH] devel/re2c: update to 0.13.6
Summary: [PATCH] devel/re2c: update to 0.13.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-06 08:50 UTC by Gasol Wu
Modified: 2013-09-07 21:50 UTC (History)
1 user (show)

See Also:


Attachments
re2c-0.13.6.patch (1.15 KB, patch)
2013-09-06 08:50 UTC, Gasol Wu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gasol Wu 2013-09-06 08:50:00 UTC
- Update to 0.13.6

Port maintainer (chalpin@cs.wisc.edu) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-09-06 08:50:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-09-06 08:50:15 UTC
Maintainer of devel/re2c,

Please note that PR ports/181862 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/181862

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Corey Halpin 2013-09-07 19:41:26 UTC
  Approve.

~crh

On 2013-09-06, Edwin Groothuis wrote:
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/181862
Comment 4 Po-Chuan Hsieh freebsd_committer 2013-09-07 20:02:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-09-07 21:42:47 UTC
Author: sunpoet
Date: Sat Sep  7 20:42:39 2013
New Revision: 326684
URL: http://svnweb.freebsd.org/changeset/ports/326684

Log:
  - Update to 0.13.6
  - Cleanup Makefile header
  - Convert to new options framework
  - While I'm here:
    - Use COPYTREE_SHARE instead of CP -R to ensure file permissions
    - Use PLIST_FILES, PORTDOCS and PORTEXAMPLES instead of PLIST
  
  Changes:	http://sourceforge.net/p/re2c/code-git/ci/master/tree/re2c/CHANGELOG
  PR:		ports/181862
  Submitted by:	Gasol Wu <gasol.wu@gmail.com>
  Approved by:	Corey Halpin <chalpin@cs.wisc.edu> (maintainer)

Deleted:
  head/devel/re2c/pkg-plist
Modified:
  head/devel/re2c/Makefile   (contents, props changed)
  head/devel/re2c/distinfo   (contents, props changed)

Modified: head/devel/re2c/Makefile
==============================================================================
--- head/devel/re2c/Makefile	Sat Sep  7 19:49:41 2013	(r326683)
+++ head/devel/re2c/Makefile	Sat Sep  7 20:42:39 2013	(r326684)
@@ -1,29 +1,32 @@
-# New ports collection makefile for:	re2c
-# Date created:		14 May 1998
-# Whom:			Eivind Eklund <eivind@FreeBSD.org>
-#
+# Created by: Eivind Eklund <eivind@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	re2c
-PORTVERSION=	0.13.5
+PORTVERSION=	0.13.6
 CATEGORIES=	devel
 MASTER_SITES=	SF
 
 MAINTAINER=	chalpin@cs.wisc.edu
 COMMENT=	Compile regular expression to C (much faster final code than flex)
 
+OPTIONS_DEFINE=	DOCS EXAMPLES
+
 GNU_CONFIGURE=	yes
 
 MAN1=		re2c.1
+PLIST_FILES=	bin/re2c
+PORTDOCS=	*
+PORTEXAMPLES=	*
+
+.include <bsd.port.options.mk>
 
 post-install:
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
-	${CP} -R ${WRKSRC}/doc/* ${DOCSDIR}
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}/
+	cd ${WRKSRC}/doc/ && ${COPYTREE_SHARE} . ${DOCSDIR}/
 .endif
-.if !defined(NOPORTEXAMPLES)
-	@${MKDIR} ${EXAMPLESDIR}
-	${CP} -R ${WRKSRC}/examples/* ${EXAMPLESDIR}
+.if ${PORT_OPTIONS:MEXAMPLES}
+	${MKDIR} ${EXAMPLESDIR}/
+	cd ${WRKSRC}/examples/ && ${COPYTREE_SHARE} . ${EXAMPLESDIR}/
 .endif
 .include <bsd.port.mk>

Modified: head/devel/re2c/distinfo
==============================================================================
--- head/devel/re2c/distinfo	Sat Sep  7 19:49:41 2013	(r326683)
+++ head/devel/re2c/distinfo	Sat Sep  7 20:42:39 2013	(r326684)
@@ -1,2 +1,2 @@
-SHA256 (re2c-0.13.5.tar.gz) = f3a995139af475e80a30207d02728b1e0065b0caade7375e974cb1b14861668c
-SIZE (re2c-0.13.5.tar.gz) = 782725
+SHA256 (re2c-0.13.6.tar.gz) = 8e463039aa8799a2957bfc00c9936232bb63b4fcb24d6ea6316170a67e5076c0
+SIZE (re2c-0.13.6.tar.gz) = 844623
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Po-Chuan Hsieh freebsd_committer 2013-09-07 21:42:49 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!